#
# spec file for package python-zipp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor test%{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-zipp%{psuffix}
Version:        0.6.0
Release:        lp151.2.3
Summary:        Pathlib-compatible object wrapper for zip files
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/jaraco/zipp
Source:         https://files.pythonhosted.org/packages/source/z/zipp/zipp-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm >= 1.15.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-contextlib2
BuildRequires:  python-rpm-macros
BuildRequires:  python-unittest2
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module pytest >= 3.5}
%endif
Requires:       python-more-itertools
%python_subpackages

%description
A pathlib-compatible Zipfile object wrapper.

%prep
%setup -q -n zipp-%{version}
# we don't need the extensions for smoke testing
rm -f pytest.ini

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
%pytest
%endif

%if !%{with test}
%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*
%endif

%changelog
* Thu Aug 29 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.6.0
  * When adding implicit dirs, ensure that ancestral directories
    are added and that duplicates are excluded.
  * The library now relies on more_itertools.
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.2:
  * #7: Parent of a directory now actually returns the parent.
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Switch to mulitbuild to avoid build cycle
* Thu May 16 2019 ranand@suse.com
- update to 0.5.1
  * Declared package as backport.
* Tue May 14 2019 svasudevan@suse.com
- Update to 0.5.0
  * no changelog found
  * Added runtime dependencies python-unittest2 and python-contextlib2
* Mon May  6 2019 pgajdos@suse.com
- version update to 0.4.0
  * #4: Add support for zip files with implied directories.
* Thu Jan 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by importlib-metadata
